## python-epimodels 0.3.18

=== requirements.txt ===
# =============================================================================
# DEPRECATION WARNING:
#
# The file `requirements.txt` does not influence the package dependencies and
# will not be automatically created in the next version of PyScaffold (v4.x).
#
# Please have look at the docs for better alternatives
# (`Dependency Management` section).
# =============================================================================
#
# Add your pinned requirements so that they can be easily installed with:
# pip install -r requirements.txt
# Remember to also add them in setup.cfg but unpinned.
# Example:
# numpy==1.13.3
# scipy==1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/sphinx/
AUTODOCDIR    = api
AUTODOCBUILD  = sphinx-apidoc
PROJECT       = epimodels
MODULEDIR     = ../src/epimodels

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext doc-requirements

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* $(AUTODOCDIR)

$(AUTODOCDIR): $(MODULEDIR)
	mkdir -p $@
	$(AUTODOCBUILD) -f -o $@ $^

doc-requirements: $(AUTODOCDIR)

html: doc-requirements
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: doc-requirements
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: doc-requirements
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: doc-requirements
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: doc-requirements
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: doc-requirements
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: doc-requirements
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/$(PROJECT).qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/$(PROJECT).qhc"

devhelp: doc-requirements
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $HOME/.local/share/devhelp/$(PROJECT)"
	@echo "# ln -s $(BUILDDIR)/devhelp $HOME/.local/share/devhelp/$(PROJEC)"
	@echo "# devhelp"

epub: doc-requirements
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

patch-latex:
	find _build/latex -iname "*.tex" | xargs -- \
		sed -i'' 's~includegraphics{~includegraphics\[keepaspectratio,max size={\\textwidth}{\\textheight}\]{~g'

latex: doc-requirements
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	$(MAKE) patch-latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: doc-requirements
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	$(MAKE) patch-latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: doc-requirements
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: doc-requirements
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: doc-requirements
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: doc-requirements
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: doc-requirements
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: doc-requirements
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes: doc-requirements
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: doc-requirements
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: doc-requirements
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: doc-requirements
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: doc-requirements
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-epimodels (0.3.18-3) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests
  * d/rules: Respect nocheck build profile for tests
  * d/control:
    - Add python3-numba and python3-matplotlib to Depends
    - B-D on python3-all instead of python3

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Jul 2021 17:10:20 +0000

python-epimodels (0.3.18-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 02 Mar 2021 11:18:14 +0100

python-epimodels (0.3.18-1) unstable; urgency=medium

  * Initial release (Closes: #983341)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Feb 2021 16:09:01 +0100

=== debian/control ===
Source: python-epimodels
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-matplotlib <!nocheck>,
               python3-numba <!nocheck>,
               python3-scipy <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/python-epimodels
Vcs-Git: https://salsa.debian.org/med-team/python-epimodels.git
Homepage: https://github.com/fccoelho/epimodels
Rules-Requires-Root: no

Package: python3-epimodels
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends}, python3-numba, python3-matplotlib
Description: simple interface to simulate mathematical epidemic models in Python3
 This library provides a simple interface to simulate mathematical
 epidemic models in Python3.  It is a precondition for the program
 epigrass.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/fccoelho/epimodels/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## python-epimodels 0.3.20

=== requirements.txt ===
# Add your pinned requirements so that they can be easily installed with:
# pip install -r requirements.txt
# Remember to also add them in setup.cfg but unpinned.
# Example:
# numpy==1.13.3
# scipy==1.0
cython
numpy
scipy
sympy
pytest
pytest-cov
matplotlib
mypy
sphinx
pyitlib
numba

=== debian/changelog ===
python-epimodels (0.3.20-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * d/u/metadata: Added ref to conda
  * Standards-Version: 4.6.0 (routine-update)

  [ Andreas Tille ]
  * Build-Depends: python3-setuptools-scm, python3-wheel

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 09:42:20 +0200

python-epimodels (0.3.18-3.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Fix watchfile to detect new versions on github (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Sep 2021 16:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
                dh-python,
                python3-all,
                python3-setuptools,
+               python3-setuptools-scm,
+               python3-wheel <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-numba <!nocheck>,
                python3-scipy <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-epimodels
 Vcs-Git: https://salsa.debian.org/med-team/python-epimodels.git
 Homepage: https://github.com/fccoelho/epimodels

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/fccoelho/epimodels/releases .*/v?@ANY_VERSION@\.tar\.gz

## python-epimodels 0.4.0

=== requirements.txt ===
--- 
+++ 
@@ -14,4 +14,3 @@
 mypy
 sphinx
 pyitlib
-numba

=== debian/changelog ===
python-epimodels (0.4.0-4) unstable; urgency=medium

  * Team upload.
  * d/control: also remove numba from the binary dependency.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 17 Oct 2024 16:05:35 +0200

python-epimodels (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Upstream hasn't been using numba for a while. Remove it from the
    build-deps. Closes: #1058481

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Oct 2024 15:47:29 +0200

python-epimodels (0.4.0-2) unstable; urgency=medium

  * No runtime dependency from cython
    Closes: #1058002
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 20:44:24 +0100

python-epimodels (0.4.0-1) unstable; urgency=medium

  * Use tags in d/watch
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 08:55:44 +0100

=== debian/control ===
Source: python-epimodels
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-wheel <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-scipy <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/python-epimodels
Vcs-Git: https://salsa.debian.org/med-team/python-epimodels.git
Homepage: https://github.com/fccoelho/epimodels
Rules-Requires-Root: no

Package: python3-epimodels
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends}, python3-matplotlib
Description: simple interface to simulate mathematical epidemic models in Python3
 This library provides a simple interface to simulate mathematical
 epidemic models in Python3.  It is a precondition for the program
 epigrass.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export PYBUILD_NAME=epimodels

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif

override_dh_install:
	dh_install
	find debian -name .coverage -delete

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/fccoelho/epimodels/tags .*/v?@ANY_VERSION@\.tar\.gz
